comedi_arm
Prev | 5.4.6. Extensions | Next

## Name

comedi_arm — arm a subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_arm(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int source`)`;

## Status

alpha

## Description

This function arms a subdevice. It may, for example, arm a counter to begin counting. The `source` parameter specifies what source should trigger the subdevice to begin. The possible sources are driver-dependant. This function is only useable on subdevices that provide support for the `INSN_CONFIG_ARM` configuration instruction. Some subdevices treat this as an instruction to arm a specific channel. For those subdevices, this function will arm channel `0` and `comedi_arm_channel` should be called instead of this one to specify the channel.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_strerror | Home | comedi_arm_channel